---@diagnostic disable: missing-return, lowercase-global
---@meta

---@overload fun(frameType: string): table
---@overload fun(frameType: string, name: string): table
---@overload fun(frameType: string, name: string, parent: table): table
---@overload fun(frameType: string, name: string, parent: table, template: string): table
function CreateFrame(frameType, name, parent, template) end
